---
slug: /chaos-mesh-join-cncf-sandbox-project
title: Chaos Mesh Joins CNCF as a Sandbox Project
authors: chaos-mesh
image: /img/blog/chaos-mesh-cncf.png
tags: [Chaos Mesh, Chaos Engineering, Kubernetes, CNCF, Cloud Native]
---

![Chaos Mesh Join CNCF as Sandbox Project](/img/blog/chaos-mesh-cncf.png) We’re thrilled to announce that [Chaos Mesh](https://github.com/chaos-mesh/chaos-mesh) is now officially accepted as a CNCF Sandbox project. As maintainers of Chaos Mesh, we’d like to thank all the contributors and adopters. This would not be possible without your trust, support, and contributions.

<!--truncate-->

Chaos Mesh is a powerful Chaos Engineering platform that orchestrates chaos experiments on Kubernetes environments. By covering comprehensive fault injection methods in Pod, network, file system, and even the kernel, we aim at providing a neutral, universal Chaos Engineering platform that enables cloud-native applications to be as resilient as they should be.

![Architecture](/img/blog/chaos-mesh.svg)

Within only 7 months since it was open-sourced on December 31st, 2019, Chaos Mesh has already received 2000 GitHub stars, with 44 contributors from multiple organizations. As a young project, the adoption in production has been the key recognition and motivation that pushes us forward constantly. Here is a list of our adopters so far:

- [PingCAP](http://www.pingcap.com)
- [Xpeng Motor](https://en.xiaopeng.com/)
- [NetEase Fuxi Lab](https://fuxi.163.com/fuxi-introduction)
- [JuiceFS](http://juicefs.com/en)
- [Dailymotion](https://www.dailymotion.com/)
- [Meituan](https://www.meituan.com/en-US/about-us)
- [Celo](https://celo.org/)

Being a CNCF Sandbox project marks a major step forward for the project. It means that Chaos Mesh has become part of the great vendor-neutral cloud-native community. With the guidance and help from CNCF, Chaos Mesh will strive to develop a community with transparent, meritocracy-based governance for open communication and open collaboration, while driving the project forward, towards our ultimate goal of establishing the Chaos Engineering standards on Cloud. Currently, Chaos Mesh is in active development for 1.0 GA. Going forward, we will be focusing on the following aspects:

- Lowering the bar of chaos engineering by improving Chaos Dashboard.
- Extending chaos injection to application layers
- Completing the full chaos engineering loop with status checking, reporting, and scenario defining, etc.

If you are interested in the project, check out our [website](https://chaos-mesh.org/), join our [Slack](https://slack.cncf.io/) discussions, or attend our [monthly meeting](https://docs.google.com/document/d/1H8IfmhIJiJ1ltg-XLjqR_P_RaMHUGrl1CzvHnKM_9Sc/edit) to know more. Or better yet, become part of us.
