﻿---
slug: /chaos-mesh-x-hacktoberfest-2020
title: Chaos Mesh X Hacktoberfest 2020 - An Invitation to Open Source
authors: chaos-mesh
image: /img/blog/chaos-mesh-x-hacktoberfest.jpg
tags: [Chaos Mesh, Chaos Engineering, Open Source]
---

![Chaos-Mesh-X-Hacktoberfest-An-Invitation-to-Open-Source](/img/blog/chaos-mesh-x-hacktoberfest.jpg)

[Chaos Mesh](https://github.com/chaos-mesh/chaos-mesh) is proud to be in [Hacktoberfest 2020](https://hacktoberfest.digitalocean.com/)!

Hosted by DigitalOcean, Intel and DEV, Hacktoberfest is an open source celebration open to everyone in our global community. This month-long (Oct 1 - Oct 31) event encourages everyone to help drive the growth of open source and make positive contributions to an ever-growing community, whether you’re an experienced developer or open-source newbie learning to code. As long as you submit 4 PRs before Oct 31, you are eligible to claim a limit edition T-shirt (70000 in total on a first-come-first-served basis)!

<!--truncate-->

![Hacktoberfest T-shirt](/img/blog/hacktoberfest-shirt.png)

## Open source is the spirit

Chaos Mesh has always been a dedicated and firm advocate of open source from day 1. Within only 10 months since it was open-sourced on December 31st, 2019, Chaos Mesh has received around 2.5k GitHub stars, with 59 contributors from multiple organizations. And it was accepted as a [CNCF sandbox project](https://www.cncf.io/sandbox-projects/) in July 2020. The amazing growth of the project as well as the community could not have been possible without our shared commitment to the open-source community and spirit.

We hereby invite you to be part of us, starting from our handpicked issues with proper mentoring and assistance along your journey, which we hope you will find rewarding, inspiring, and most of all, fun.

## How can you participate

So we are all set up for you in Hacktoberfest - labeled [suitable issues](https://github.com/chaos-mesh/chaos-mesh/issues?q=is%3Aissue+is%3Aopen+label%3AHacktoberfest) with “Hacktoberfest”, and updated the [Contributing Guide](https://github.com/chaos-mesh/chaos-mesh/blob/master/CONTRIBUTING.md).

How can you participate? It could not be easier with the following steps:

1. Sign up for [Hacktoberfest](https://hacktoberfest.digitalocean.com/login) using your GitHub account between Oct 1 and Oct 31.
2. Pick up an issue. Note that the issues are still being updated, but you don’t have to be limited to issues with the Hacktoberfest label, which only serve as a starting point.
3. Start coding and submit your PRs. Again the PR does not need to be corresponding to the labeled issue.
4. Our maintainers review your PRs. Once you successfully merged, or have gained approval for 4 or more of them, the PRs will be automatically counted on the Hacktoberfest end, and you will be eligible to claim your SWAG.

   ![PR count](/img/blog/PR-count.png)

**Note:** If your PRs are merged or approved but you haven’t seen the number reflected on Hacktoberfest, comment under your PR.

## Strive for quality, learning, and no spammy

In the spirit of open source and Hacktoberfest, we welcome all contributions and honor only valid PRs. However, we would not encourage or tolerate spammy contributions, which would not only cause waste to our maintainer’s time but also hurt the feelings and the integrity of the entire open source community. Spammy PRs will be labeled as "invalid" or "spam", and will be closed as invalid.

Happy hacking! But don’t hack alone. Join #project-chaos-mesh in the [CNCF Slack](https://slack.cncf.io/) to share your experience, provide your feedback on your experience, or let us help with any problem you have.
