---
slug: /chaos-mesh-celebrates-100th-contributor
title: 'Chaos Mesh Celebrates 100th Contributor'
authors: chaos-mesh
image: /img/blog/chaos-mesh-celebrates-100-contributors.png
tags: [Chaos Mesh, Chaos Engineering, Community]
---

![Chaos Mesh Celebrates 100th Contributor](/img/blog/chaos-mesh-celebrates-100-contributors.png)

The [Chaos Mesh project](https://github.com/chaos-mesh/chaos-mesh) just hit two major milestones: the community recently welcomed our [100th contributor](https://github.com/chaos-mesh/chaos-mesh/graphs/contributors) to the chaos-mesh repo and 1,000 followers on [Twitter](https://twitter.com/chaos_mesh)!

<!--truncate-->

Chaos Mesh is a Chaos Engineering platform that orchestrates chaos experiments on Kubernetes environments. Ever since first open-sourced on GitHub on Dec 31st, 2019, it has not stopped: in July 2020, Chaos Mesh joined CNCF [as a Sandbox project](https://chaos-mesh.org/blog/chaos-mesh-join-cncf-sandbox-project); a few months later in September, Chaos Mesh 1.0 was [officially released](https://chaos-mesh.org/blog/chaos-mesh-1.0-chaos-engineering-on-kubernetes-made-easier). In July 2021, after a few beta versions, [Chaos Mesh 2.0 was announced generally available](https://github.com/chaos-mesh/chaos-mesh/releases/tag/v2.0.0)!

So far, Chaos Mesh has brought out 35 releases, received 1,500+ commits from 100+ contributors, won over 3.8k+ stargazers and 420+ forks. All these achievements would not have been possible without the wonderful community.

![Chaos Mesh contributors](/img/blog/chaos-mesh-all-contributors.jpeg)

Here are a few of our favourite contributions to highlight:

- [@YangKeao](https://github.com/YangKeao) introduced `kubebuilder` to Chaos Mesh, an SDK for building Kubernetes APIs using CRD, which simplified the steps to implement the Controller.
- [@g1eny0ung](https://github.com/g1eny0ung) brought in the Chaos Dashboard, a Web UI for manipulating and observing chaos experiments.
- [@Yiyiyimu](https://github.com/Yiyiyimu) contributed `chaosctl`, a tool that simplifies chaos development and debugging.
- [@Gallardot](https://github.com/Gallardot) helped implement JVMChaos, making it possible for Chaos Mesh to simulate JVM application faults.
- [@STRRL](https://github.com/STRRL) started the work on Chaos Mesh Workflow, a built-in workflow engine which enables running different chaos experiments in a serial or parallel manner to simulate production-level errors.

For those who enjoy chaos engineering and open source equally, our mission is to make sure that this is where you belong by enriching the contribution journey, and here’s where we are at so far:

- We published the Chaos Mesh [Governance](https://github.com/chaos-mesh/chaos-mesh/blob/master/GOVERNANCE.md) in the beginning of 2021, making clear the roles and responsibilities of each community member as well as the decision-making process, and has since promoted 9 Committers.
- We have mentored 4 mentees through the LFX mentorship programs so far. Our mentees have written blogs and hosted talks sharing their LFX experience.
- We have participated in 3 KubeCons, where we participated in the bug bash contest and hosted Office Hours to meet and chat with old faces and welcome new members to our community. We even posted a [Q&A](https://chaos-mesh.org/blog/chaos-mesh-q&a) after the KubeCon EU 2021 since we received so many questions!
- We are currently applying to propose Chaos Mesh to be promoted to the CNCF [incubating stage](https://github.com/cncf/toc/pull/683), hoping that being promoted to the next stage of maturity brings the project new chances and more exposure.

Although this is an achievement worth celebrating, we know that there is still a lot of work ahead:

- We have also been working with the community to refine the Chaos Mesh [documentation](https://chaos-mesh.org/docs/): updating English versions as per each release and adding Chinese versions for our growing number of Chinese adopters and contributors.
- We hope to continue to contribute to the Cloud-Native ecosystem: for example, by developing and amplifying chaos engineering related content, and collaborating with other communities for meetups and projects.

Another goal of ours is to continue building a more diverse and engaging community— there is no barrier to being part of the Chaos Mesh community and becoming a Chaos Mesh contributor, as contributions are not limited to coding: writing documentation, offering ideas for features, posting issues, writing blogs, answering community questions, or sharing cases are all part of the contribution journey.

## To sum up

From the bottom of our hearts, thank you! We hope that we can keep up the good work and continue to build up this not-so-little community of ours, and continue to contribute to the CNCF and the chaos engineering ecology.

If this is the first time you are hearing of Chaos Mesh, and would like to learn more, find the #project-chaos-mesh channel in [CNCF slack workspace](https://slack.cncf.io/), submit your pull requests or issues to our [GitHub repository](https://github.com/chaos-mesh/chaos-mesh), or sign up to join in on our next [monthly community meeting](https://community.cncf.io/chaos-mesh-community/)!
