# 支持的版本

此页面列出了当前支持的版本的状态、时间表和策略。

:::info 提示

## TL;DR

每个版本的支持期限为**六个月**，我们**每三个月**发布一个新版本。

:::

## 命名方案

我们的命名方案遵循 [语义化版本 2.0.0](https://semver.org/lang/zh-CN/), 并在 git 标签和 docker 镜像中加入 `v` 前缀:

```plain
v<major>.<minor>.<patch>
```

其中 `<minor>` 在每个版本中都会增加， `<patch>` 统计当前 `<minor>` 版本的补丁数量。一个补丁通常是相对于 `<minor>` 版本的一个小改动。

## Chaos Mesh 的支持状况

:::note 注意

对 Kubernetes `1.22` 的支持从 `2.0.4` 版本开始提供。

:::

:::info 提示

理论上，`2.6` 版本也能在 `1.26` 、`1.27` 和 `1.28` 版本的 Kubernetes 上正常运行，但我们没有同步这些版本的 E2E 测试。

:::

| 版本    | 当前支持情况          | 发布日期     | 终止日期     | 支持的 Kubernetes 版本                               |
| :------ | :-------------------- | :----------- | :----------- | :--------------------------------------------------- |
| master  | No, development only  | -            | -            | 1.30, 1.31, 1.32                                     |
| 2.7     | `Yes`                 | Sep 20, 2024 | -            | 1.26, 1.27, 1.28                                     |
| 2.6     | `Yes`                 | May 31, 2023 | -            | 1.20, 1.21, 1.22, 1.23, 1.24, 1.25, 1.26, 1.27, 1.28 |
| 2.5     | No                    | Nov 22, 2022 | Sep 20, 2024 | 1.20, 1.21, 1.22, 1.23, 1.24, 1.25                   |
| 2.4     | No                    | Sep 23, 2022 | May 31, 2023 | 1.20, 1.21, 1.22, 1.23, 1.24, 1.25                   |
| 2.3     | No                    | Jul 29, 2022 | Nov 22, 2022 | 1.15, 1.16, 1.17, 1.18, 1.19, 1.20, 1.21, 1.22       |
| 2.2     | No                    | Apr 29, 2022 | Sep 23, 2022 | 1.15, 1.16, 1.17, 1.18, 1.19, 1.20, 1.21, 1.22       |
| 2.1     | No                    | Nov 30, 2021 | Jul 29, 2022 | 1.15, 1.16, 1.17, 1.18, 1.19, 1.20, 1.21, 1.22       |
| 2.0     | No                    | Jul 23, 2021 | Apr 29, 2022 | 1.15, 1.16, 1.17, 1.18, 1.19, 1.20, 1.21, 1.22       |
| 1.2     | No                    | Apr 23, 2021 | Nov 30, 2021 | 1.12, 1.13, 1.14, 1.15                               |
| 1.1     | No                    | Jan 08, 2021 | Jul 23, 2021 | 1.12, 1.13, 1.14, 1.15                               |
| 1.0     | No                    | Sep 25, 2020 | Apr 23, 2021 | 1.12, 1.13, 1.14, 1.15                               |

## 未来版本

你可以在 [GitHub Milestones](https://github.com/chaos-mesh/chaos-mesh/milestones) 上查看即将发布的 Chaos Mesh 新版本。

## 支持策略

我们对每个发布分支的支持窗口是**六个月**。鉴于我们**每三个月**就会发布一个新的版本，该支持窗口与**最新的两个版本**相对应。

目前，Chaos Mesh 团队提供以下两种类型的支持：

- [社区技术支持](#社区技术支持)
- [安全和错误修复](#安全和错误修复)

### 社区技术支持

如果在使用 Chaos Mesh 中遇到了问题，欢迎在 CNCF Slack（频道 [#project-chaos-mesh](https://cloud-native.slack.com/archives/C0193VAV272)）向社区提问，或在 [GitHub Discussions](https://github.com/chaos-mesh/chaos-mesh/discussions) 开启一个讨论。

### 安全和错误修复

安全问题会尽快修复。它们会被修复到最后两个版本，并会立即为它们创建一个新的补丁版本。

对于增强功能或错误修复，我们会根据需要制作新的补丁版本。

## 我们如何确定支持的 Kubernetes 版本

Chaos Mesh 团队会通过 E2E 测试对不同版本的 Kubernetes 集群的兼容性进行测试，最后根据测试结果来确定 [Chaos Mesh 的支持状况](#chaos-mesh-的支持状况)。

以下是各版本 E2E 测试所涵盖的 Kubernetes 版本：

| 版本   | 测试的 Kubernetes 版本   |
| :----- | :----------------------- |
| master | 1.30.10, 1.31.6, 1.32.2  |
| 2.7    | 1.26.13, 1.27.10, 1.28.6 |
| 2.6    | 1.20.15, 1.23.4, 1.25.1  |
| 2.5    | 1.20, 1.23, 1.25         |
